# DataExchange
TKSTEPBase
StepRepr

# StepRepr_PropertyDefinitionRepresentation Class Reference

Representation of STEP entity PropertyDefinitionRepresentation
.

`#include <StepRepr_PropertyDefinitionRepresentation.hxx>`

Inheritance diagram for StepRepr_PropertyDefinitionRepresentation:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_PropertyDefinitionRepresentation ()
| Empty constructor .
Standard_EXPORT void | Init (const StepRepr_RepresentedDefinition &aDefinition, const Handle(StepRepr_Representation)&aUsedRepresentation)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepRepr_RepresentedDefinition | Definition () const
| Returns field Definition .
Standard_EXPORT void | SetDefinition (const StepRepr_RepresentedDefinition &Definition)
| Set field Definition .
Standard_EXPORT Handle_StepRepr_Representation | UsedRepresentation () const
| Returns field UsedRepresentation .
Standard_EXPORT void | SetUsedRepresentation (const Handle(StepRepr_Representation)&UsedRepresentation)
| Set field UsedRepresentation .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepRepr_RepresentedDefinition | theDefinition
Handle_StepRepr_Representation | theUsedRepresentation

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_PropertyDefinitionRepresentation::StepRepr_PropertyDefinitionRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepRepr_RepresentedDefinition StepRepr_PropertyDefinitionRepresentation::Definition | ( |  | ) | const

Standard_EXPORT const StepRepr_PropertyDefinitionRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepFEA_FeaMaterialPropertyRepresentation, StepRepr_MaterialPropertyRepresentation, StepRepr_StructuralResponsePropertyDefinitionRepresentation, and StepShape_ShapeDefinitionRepresentation.

Standard_EXPORT void StepRepr_PropertyDefinitionRepresentation::Init | ( | const StepRepr_RepresentedDefinition & | aDefinition,
|  | const Handle(StepRepr_Representation)& | aUsedRepresentation
| ) |

Standard_EXPORT void StepRepr_PropertyDefinitionRepresentation::SetDefinition | ( | const StepRepr_RepresentedDefinition & | Definition | ) |

Standard_EXPORT void StepRepr_PropertyDefinitionRepresentation::SetUsedRepresentation | ( | const Handle(StepRepr_Representation)& | UsedRepresentation | ) |

Standard_EXPORT Handle_StepRepr_Representation StepRepr_PropertyDefinitionRepresentation::UsedRepresentation | ( |  | ) | const

## Field Documentation

StepRepr_RepresentedDefinition StepRepr_PropertyDefinitionRepresentation::theDefinition `[private]`

Handle_StepRepr_Representation StepRepr_PropertyDefinitionRepresentation::theUsedRepresentation `[private]`

The documentation for this class was generated from the following file:

- StepRepr_PropertyDefinitionRepresentation.hxx